Bug 254097 - rpm reports conflicts when trying to install the other arch version
rpm reports conflicts when trying to install the other arch version
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 23:38 EDT by -M
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 14:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description -M 2007-08-23 23:38:17 EDT
The problem is that if you remove either the i386 or x86_64 version of a package
and try to reinstall it via rpm it tells you that some files in the already
installed package conflict with the package you are trying to install, for example:

Trying to install the X86_64 package for ImageMagick with the i386 version
already installed reports says that some files in that package conflict with the
i386 version already installed on the machine.

This works in reverse too when trying to install the i386 version with the
X86_64 version already installed.
Comment 1 Panu Matilainen 2007-08-27 14:25:30 EDT
This is expected behavior, you need to (re)install and upgrade multilib packages
simultaneously (in the same transaction) if the packages have conflicting paths.


Note You need to log in before you can comment on or make changes to this bug.